DOM::HTMLLinkElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLLinkElement Class Reference

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa). More...

`#include <html_head.h>`

Inheritance diagram for DOM::HTMLLinkElement:

[legend]
Collaboration diagram for DOM::HTMLLinkElement:

[legend]
List of all members.

## Public Member Functions
| HTMLLinkElement (const HTMLLinkElement &other)
| HTMLLinkElement (const Node &other)
HTMLLinkElement & | operator= (const HTMLLinkElement &other)
HTMLLinkElement & | operator= (const Node &other)
bool | disabled () const
| Enables/disables the link.
void | setDisabled (bool)
| see disabled
DOMString | charset () const
| The character encoding of the resource being linked to.
void | setCharset (const DOMString &)
| see charset
DOMString | href () const
| The URI of the linked resource.
void | setHref (const DOMString &)
| see href
DOMString | hreflang () const
| Language code of the linked resource.
void | setHreflang (const DOMString &)
| see hreflang
DOMString | media () const
| Designed for use with one or more target media.
void | setMedia (const DOMString &)
| see media
DOMString | rel () const
| Forward link type.
void | setRel (const DOMString &)
| see rel
DOMString | rev () const
| Reverse link type.
void | setRev (const DOMString &)
| see rev
DOMString | target () const
| Frame to render the resource in.
void | setTarget (const DOMString &)
| see target
DOMString | type () const
| Advisory content type.
void | setType (const DOMString &)
| see type
StyleSheet | sheet () const
| Introduced in DOM Level 2 This method is from the LinkStyle interface.
## Protected Member Functions
| HTMLLinkElement (HTMLLinkElementImpl *impl)

## Detailed Description

The `LINK` element specifies a link to an external resource, and defines this document's relationship to that resource (or vice versa).

See the LINK element definition in HTML 4.0.

Definition at line 102 of file html_head.h.

## Member Function Documentation

bool HTMLLinkElement::disabled | ( |  | ) | const

| Enables/disables the link. This is currently only used for style sheet links, and may be used to activate or deactivate style sheets. Definition at line 113 of file html_head.cpp.

void HTMLLinkElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 119 of file html_head.cpp.

DOMString HTMLLinkElement::charset | ( |  | ) | const

| The character encoding of the resource being linked to. See the charset attribute definition in HTML 4.0. Definition at line 125 of file html_head.cpp.

void HTMLLinkElement::setCharset | ( | const DOMString & |  | ) |

| see charset Definition at line 131 of file html_head.cpp.

DOMString HTMLLinkElement::href | ( |  | ) | const

| The URI of the linked resource. See the href attribute definition in HTML 4.0. Definition at line 136 of file html_head.cpp. References href(), DOM::DOMString::length(), and DOM::DOMString::string(). Referenced by href().

void HTMLLinkElement::setHref | ( | const DOMString & |  | ) |

| see href Definition at line 143 of file html_head.cpp.

DOMString HTMLLinkElement::hreflang | ( |  | ) | const

| Language code of the linked resource. See the hreflang attribute definition in HTML 4.0. Definition at line 148 of file html_head.cpp.

void HTMLLinkElement::setHreflang | ( | const DOMString & |  | ) |

| see hreflang Definition at line 154 of file html_head.cpp.

DOMString HTMLLinkElement::media | ( |  | ) | const

| Designed for use with one or more target media. See the media attribute definition in HTML 4.0. Definition at line 159 of file html_head.cpp.

void HTMLLinkElement::setMedia | ( | const DOMString & |  | ) |

| see media Definition at line 165 of file html_head.cpp.

DOMString HTMLLinkElement::rel | ( |  | ) | const

| Forward link type. See the rel attribute definition in HTML 4.0. Definition at line 170 of file html_head.cpp.

void HTMLLinkElement::setRel | ( | const DOMString & |  | ) |

| see rel Definition at line 176 of file html_head.cpp.

DOMString HTMLLinkElement::rev | ( |  | ) | const

| Reverse link type. See the rev attribute definition in HTML 4.0. Definition at line 181 of file html_head.cpp.

void HTMLLinkElement::setRev | ( | const DOMString & |  | ) |

| see rev Definition at line 187 of file html_head.cpp.

DOMString HTMLLinkElement::target | ( |  | ) | const

| Frame to render the resource in. See the target attribute definition in HTML 4.0. Definition at line 192 of file html_head.cpp.

void HTMLLinkElement::setTarget | ( | const DOMString & |  | ) |

| see target Definition at line 198 of file html_head.cpp.

DOMString HTMLLinkElement::type | ( |  | ) | const

| Advisory content type. See the type attribute definition in HTML 4.0. Definition at line 203 of file html_head.cpp.

void HTMLLinkElement::setType | ( | const DOMString & |  | ) |

| see type Definition at line 209 of file html_head.cpp.

StyleSheet HTMLLinkElement::sheet | ( |  | ) | const

| Introduced in DOM Level 2 This method is from the LinkStyle interface. The style sheet. Definition at line 214 of file html_head.cpp.

The documentation for this class was generated from the following files:

- html_head.h
- html_head.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:38:14 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001